Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get a PV plan with its full planner document

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/pv-plans/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
idstringrequired
min length 1
Responses
200

OK

idstringrequired
projectIdstringrequired
namestringrequired
buildingIdstring | nullrequired
Show properties
Any of:
string
string
null
null
originLatnumberrequired
originLngnumberrequired
originAddressstring | nullrequired
Show properties
Any of:
string
string
null
null
isFavoritebooleanrequired
summaryobject | nullrequired
Show properties
Any of:
object
object
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
schemaVersionintegerrequired
min -9007199254740991 · max 9007199254740991
payloadobjectrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/pv-plans/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "buildingId": "string",
  "originLat": 0,
  "originLng": 0,
  "originAddress": "string",
  "isFavorite": true,
  "summary": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}

Was this page helpful?